Page MenuHomePhabricator

Add ability to debug Wireguard connections
Closed, WontfixPublicFEATURE REQUEST

Description

On v1.2.1, Build ID '85838104-ce3a-4024-a6be-bfe527dd1eeb', VMware, I was setting up a site-to-site Wireguard connection and was looking for a way to debug the server/client handshakes with the "Monitor" commands but couldn't find anything. I could monitor the simple traffic on wg01, but nothing spectacular. Having this feature would be great.

Also, would it be possible to have some kind of "Show wireguard peers" command? The info could include current state (active, idle, inactive), uptime, traffic statistics, etc.

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

hagbard claimed this task.EditedOct 10 2019, 8:35 PM

@bertleywjh What issue are your trying to debug?

show interfaces wireguard wgN
monitor traffic interface wgN

is probably what you are looking for?

hagbard triaged this task as Normal priority.Oct 10 2019, 8:37 PM
hagbard edited projects, added VyOS 1.3 Equuleus, VyOS 1.2 Crux; removed VyOS 2.0.x.
hagbard changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
hagbard moved this task from Need Triage to In Progress on the VyOS 1.2 Crux board.
hagbard moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.

@hagbard

show interfaces wireguard wgN

This just shows general configuration info & link state.

monitor traffic interface wgN

This only shows that I've received a packet from a source IP:port. Not necessarily what's happening.

What I'm looking for is the handshake process and if any errors happen during.

@bertleywjh wg state and link state is all is unfortunately all you will be able to see, plus like when was the last handshake and how many bytes were transfered. AFAIK there is no other way to see states of the handshake etc.

@bertleywjh any other input, or can I close the ticket?

@hagbard yea if there's no way to do it, there's no way to do it. Thanks though.

hagbard closed this task as Wontfix.Oct 11 2019, 5:49 PM
c-po moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:04 PM